Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065627 - Review Request: pire - Perl Incompatible Regular Expressions library [NEEDINFO]
Summary: Review Request: pire - Perl Incompatible Regular Expressions library
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-02-15 08:57 UTC by Christopher Meng
Modified: 2016-07-08 13:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-08 13:09:09 UTC
kdudka: fedora-review?
kdudka: needinfo? (i)


Attachments (Terms of Use)

Description Christopher Meng 2014-02-15 08:57:30 UTC
Spec URL: http://cicku.me/pire.spec
SRPM URL: http://cicku.me/pire-0.0.5-1.fc21.src.rpm
Description: Pire is developed in Yandex (http://company.yandex.ru/) as a part of its web crawler. It aims at checking a huge amount of text against relatively many regular expressions. Roughly speaking, it can just check whether given text 
maches the certain regexp, but can do it really fast (more than 400 MB/s on 
our hardware is common). Even more, multiple regexps can be combined together,
giving capability to check the text against apx.10 regexps in a single pass 
(and mantaining the same speed).

Since Pire examines each character only once, without any lookaheads
or rollbacks, spending about five machine instructions per each character,
it can be used even in realtime tasks.

On the other hand, Pire has very limited functionality (compared to
other regexp libraries). Pire does not have any Perlish conditional
regexps, lookaheads & backtrackings, greedy/nongreedy matches; neither
has it any capturing facilities.
Fedora Account System Username: cicku

Comment 1 Kamil Dudka 2014-02-26 14:03:14 UTC
- %description contains trailing white spaces and few typos:
    maches     -> matches
    mantaining -> maintaining
    apx.10     -> apx. 10
    realtime   -> real-time
    nongreedy  -> non-greedy

- I would move running autoreconf to %prep assuming it really needs to be run (a comment justifying it would help)

- obsolete macro AC_PROG_LIBTOOL found in: pire-release-0.0.5/configure.ac:15

- running autoreconf with recent autotools produces a lot of warnings:

    pire/Makefile.am:11: warning: source file 'scanners/null.cpp' is in a subdirectory,
    pire/Makefile.am:11: but option 'subdir-objects' is disabled
    automake: warning: possible forward-incompatibility.
    automake: At least a source file is in a subdirectory, but the 'subdir-objects'
    automake: automake option hasn't been enabled.  For now, the corresponding output
    automake: object file(s) will be placed in the top-level directory.  However,
    automake: this behaviour will change in future Automake versions: they will
    automake: unconditionally cause object files to be placed in the same subdirectory
    automake: of the corresponding sources.
    automake: You are advised to start using 'subdir-objects' option throughout your
    automake: project, to avoid future incompatibilities.
    pire/Makefile.am:11: warning: source file 'stub/utf8.cpp' is in a subdirectory,
    pire/Makefile.am:11: but option 'subdir-objects' is disabled
    pire/Makefile.am:56: warning: source file 'extra/capture.cpp' is in a subdirectory,
    pire/Makefile.am:56: but option 'subdir-objects' is disabled
    pire/Makefile.am:56: warning: source file 'extra/count.cpp' is in a subdirectory,
    pire/Makefile.am:56: but option 'subdir-objects' is disabled
    pire/Makefile.am:56: warning: source file 'extra/glyphs.cpp' is in a subdirectory,
    pire/Makefile.am:56: but option 'subdir-objects' is disabled
    /usr/share/automake-1.14/am/ltlibrary.am: warning: 'libpire.la': linking libtool libraries using a non-POSIX
    /usr/share/automake-1.14/am/ltlibrary.am: archiver requires 'AM_PROG_AR' in 'configure.ac'
    pire/Makefile.am:10:   while processing Libtool library 'libpire.la'
    pire/Makefile.am: installing './depcomp'
    configure.ac: installing './ylwrap'
    tests/Makefile.am:10: warning: source file 'stub/cppunit.cpp' is in a subdirectory,
    tests/Makefile.am:10: but option 'subdir-objects' is disabled
    /usr/share/automake-1.14/am/ltlibrary.am: warning: 'libpire_unit.la': linking libtool libraries using a non-POSIX
    /usr/share/automake-1.14/am/ltlibrary.am: archiver requires 'AM_PROG_AR' in 'configure.ac'
    tests/Makefile.am:9:   while processing Libtool library 'libpire_unit.la'
    parallel-tests: installing './test-driver'
    autoreconf: Leaving directory `.'

Comment 2 Kamil Dudka 2015-08-18 12:10:49 UTC
There seems to be no progress in the past 18 months.  Christopher, is this review request still valid?

Comment 3 Kamil Dudka 2016-07-08 13:09:09 UTC
Staled since February 2014.  URLs in comment #0 do not seem to work any more.  Closing...


Note You need to log in before you can comment on or make changes to this bug.